(*$Byte : BYTE Int *)

require "loadSig";
require "Int";
require "BYTE";

loadSig "BYTE";

structure Byte: BYTE =

(* BYTES

Created by:     Dave Berry, Harlequin Ltd.
                daveb@harlequin.co.uk
                daveb@harlequin.com

Date:           30 Sep 1993

Maintenance:    mlworks-support@harlequin.co.uk
                mlworks-support@harlequin.com


RCS LOG

$Log: Byte.sml,v $
# Revision 1.1  1993/10/07  11:03:53  daveb
# Initial revision
#


*)

struct


(* TYPES *)

  type Byte = int
  type T = Byte


(* OBSERVERS *)

  val lt = Int.lt
  val gt = Int.gt
  val le = Int.le
  val ge = Int.ge
  val eq = Int.eq
  val ne = Int.ne

  val fixedWidth = true


(* CONVERTERS *)

  fun string b = chr b

  fun print os b = output (os, string b)

end
