require "loadSig";
require "NonStandard";
require "UTILS";

loadLocalSig "UTILS";

structure CoreUtils: CORE_UTILS =

(* CORE UTILITY FUNCTIONS

Created by:     Dave Berry, Harlequin Ltd.
                daveb@harlequin.co.uk
                daveb@harlequin.com

Date:           30 Sep 1993

Maintenance:    mlworks-support@harlequin.co.uk
                mlworks-support@harlequin.com


RCS LOG

$Log: Utils.sml,v $
# Revision 1.1  1993/10/07  11:05:32  daveb
# Initial revision
#

*)

struct
  infix before

  fun x before _ = x;

  fun unzip []           = ([] ,[])
  |   unzip ((x,y)::xys) =
        let val (xs, ys) = unzip xys
	in (x :: xs, y :: ys)
	end

  val intToString = MLWorks.Integer.makestring

  fun length [] = 0
  |   length (_::t) = 1 + length t

  open NonStandard
end;

