(* DUMMY DEFINITIONS OF LOAD FUNCTIONS

Created by:     Dave Berry, Harlequin Ltd.
                daveb@harlequin.co.uk
                daveb@harlequin.com

Date:           21 June 1993

Maintenance:    mlworks-support@harlequin.co.uk
                mlworks-support@harlequin.com

DESCRIPTION

The MLWorks make system uses "require" declarations instead of calls to
"loadEntry", "loadSig" and "loadLocalSig".  But it also compiles files in
the initial MLWorks basis.  So we can't define dummy versions of the load
functions globally.  They have to be "required" by each file that needs them.

RCS LOG

$Log: loadSig.sml,v $
# Revision 1.1  1993/10/07  11:03:53  daveb
# Initial revision
#

*)

fun loadSig _ = ();
fun loadLocalSig _ = ();
fun loadEntry _ = ();
fun setLoadPrefix _ = ();

